## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit f5a5edc5b3813cd9b087455cfd86d15895ffcfce
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20240218

%global app_id  org.kde.atlantik

Name:           atlantik
Version:        0.7.80%{?gitdate:~%{gitdate}.git%{shortcommit}}
Release:        %autorelease
Summary:        KDE monopd game client
License:        GPL-2.0-only
URL:            https://apps.kde.org/atlantik/
%if 0%{?gitdate:1}
Source:         https://invent.kde.org/games/atlantik/-/archive/%{commit}/atlantik-%{commit}.tar.bz2
%else
Source:         https://download.kde.org/%{stable_kf6}/%{name}/%{version}/%{name}-%{version}.tar.xz
%endif

BuildRequires:  extra-cmake-modules
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KDEGames6)
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       hicolor-icon-theme

# no KDE4 port, was last built for KDE3
Conflicts:      kdegames3 < 3.5.10-47

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

%description
Purpose of the Atlantic board game is to acquire land in major cities in
North America and Europe while being a transatlantic traveller. One of the
game modes plays like the popular real estate board game based on Atlantic
City street names.

%package libs
Summary:        KDE monopd client libraries
License:        LGPL-2.1-only
# no KDE4 or KF5 port, was last built for KDE3
Obsoletes:      kdeaddons-atlantikdesigner < 4

%description libs
%{summary}.

%package devel
Summary:        Development files for KDE monopd client libraries
License:        LGPL-2.1-only
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Obsoletes:      kdegames3-devel < 3.5.10-47

%description devel
%{summary}.


%prep
%autosetup %{?gitdate:-n %{name}-%{commit}}


%build
%cmake_kf6
%cmake_build


%install
%cmake_install

%find_lang %{name} --with-html --with-man


%check
desktop-file-validate %{buildroot}%{_kf6_datadir}/applications/%{app_id}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_kf6_metainfodir}/%{app_id}.appdata.xml


%files -f %{name}.lang
%license COPYING
%doc ChangeLog README.md TODO
%{_kf6_bindir}/atlantik
%{_kf6_datadir}/%{name}/
%{_kf6_datadir}/applications/%{app_id}.desktop
%{_kf6_datadir}/icons/hicolor/*/apps/atlantik.*
%{_kf6_datadir}/knotifications6/atlantik.notifyrc
%{_kf6_datadir}/qlogging-categories6/atlantik.categories
%{_kf6_mandir}/man6/atlantik.6*
%{_kf6_metainfodir}/%{app_id}.appdata.xml

%files libs
%license COPYING.LIB
%{_kf6_libdir}/libatlanti[ck]*.so.5{,.*}

%files devel
%{_includedir}/atlanti[ck]/
%{_kf6_libdir}/cmake/Atlantik/
%{_kf6_libdir}/libatlanti[ck]*.so


%changelog
## START: Generated by rpmautospec
* Mon Feb 26 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 0.7.80~20240218.gitf5a5edc-1
- 20240218

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.80~20231125.git8c308f7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.80~20231125.git8c308f7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 04 2023 Yaakov Selkowitz <yselkowitz@fedoraproject.org> - 0.7.80~20231125.git8c308f7-1
- 20231125

* Thu Nov 16 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 0.7.80~20231116.git9bf0306-1
- Migrate to KF6

* Fri Sep 29 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 0.7.80~20230916.git688c8fc-1
- Update snapshot to 20230916

* Mon Aug 28 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 0.7.80~20230806.git01397fd-2
- Obsoletes: kdeaddons-atlantikdesigner

* Wed Aug 16 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 0.7.80~20230806.git01397fd-1
- Initial KF5-based version, split out of kdegames3
## END: Generated by rpmautospec
